<section class="waze-setting m-2 rounded">
  <div class="title d-flex align-items-center p-2">
    <div>
      Peringatan Jalan dan Lalu lintas
      <fa-icon [icon]="icons.faInfoCircle"
               class="icon-info cursor-pointer"
               ngbTooltip="Klik detail informasi"
               (click)="openWazeInfo()"></fa-icon>
    </div>
    <div class="ms-auto">
      <button class="btn btn-none p-0 me-2"
              (click)="showHideLayer()">
        <fa-icon *ngIf="isShowLayer"
                 [icon]="icons.faEye"
                 ngbTooltip="Sembunyikan"
                 transform="shrink-30"
                 class="text-white"></fa-icon>
        <fa-icon *ngIf="!isShowLayer"
                 [icon]="icons.faEyeSlash"
                 ngbTooltip="Tampilkan"
                 transform="shrink-30"
                 class="text-white"></fa-icon>
      </button>
      <button class="btn btn-none p-0"
              (click)="isCollapsed = !isCollapsed">
        <fa-icon *ngIf="!isCollapsed"
                 [icon]="icons.faCaretDown"
                 transform="shrink-35"
                 class="text-white"></fa-icon>
        <fa-icon *ngIf="isCollapsed"
                 [icon]="icons.faCaretUp"
                 transform="shrink-35"
                 class="text-white"></fa-icon>
      </button>
    </div>
  </div>

  <div class="{{ isCollapsed ? 'collapse show' : 'collapse' }} p-2">
    <div class="panel_legend">
      <div id="legend-waze"
           class="mapset_legend">
        <div class="checkbox">
          <label>
            <input type="checkbox"
                   (change)="toggleAlertCrash($event)">
            <span class="cr align-top cursor-pointer">
              <fa-icon [icon]="icons.faCheck"
                       class="text-success"
                       style="font-size: 11px;"></fa-icon>
            </span>
            <img src="assets/icons/crash.png"
                 alt="Kecelakaan"
                 height="24px"> Kecelakaan Lalu Lintas
          </label>
        </div>
        <div class="checkbox">
          <label>
            <input type="checkbox"
                   (change)="toggleAlertFlood($event)">
            <span class="cr align-top cursor-pointer">
              <fa-icon [icon]="icons.faCheck"
                       class="text-success"
                       style="font-size: 11px;"></fa-icon>
            </span>
            <img src="assets/icons/flood.png"
                 alt="Banjir"
                 height="24px"> Banjir
          </label>
        </div>
        <div class="checkbox">
          <label>
            <input type="checkbox"
                   (change)="toggleAlertPothole($event)">
            <span class="cr align-top cursor-pointer">
              <fa-icon [icon]="icons.faCheck"
                       class="text-success"
                       style="font-size: 11px;"></fa-icon>
            </span>
            <img src="assets/icons/pothole.png"
                 alt="Jalan Berlubang"
                 height="24px"> Jalan Berlubang
          </label>
        </div>
      </div>
    </div>
    <div class="p-2 sidenav-panel-mapset-tool d-flex align-items-center">
      Transparansi
      <div class="custom-slider-transparency py-2 pe-0 ms-2">
        <ng5-slider (valueChange)="setTransparency($event)"
                    [options]="optTransparency"
                    [(ngModel)]="valTransparency">
          <ng-template #tooltipTemplate
                       let-tooltip="tooltip"
                       let-placement="bottom"
                       let-content="content">
            <div>{{content}}</div>
          </ng-template>
        </ng5-slider>
      </div>
      <input class="btn btn-secondary ms-2"
             [value]="valTransparency + '%'"
             (input)="setValTransparency($event.target.value)">
    </div>
  </div>
</section>